
set( ubana_VERSION 06.82.01 )
set( ubana_UPS_VERSION v06_82_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcorealg  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_product( larcoreobj  )
    find_ups_root(  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( ubreco v1_00_00 )
    find_ups_product( ubsim v1_00_00 )
    find_ups_product( ubevt v1_00_00 )
    find_ups_product( ubcore v1_00_00 )
    find_ups_product( ubobj v1_00_00 )
    find_ups_product( artdaq_core v1_00_00 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( lardataalg  )
    find_ups_product( larcore  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( ifdh_art v1_00_00 )
    find_ups_product( ifdhc  )
    find_ups_product( ifbeam  )
    find_ups_product( nucondb  )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( gsl v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( larreco v1_00_00 )
    find_ups_product( eigen  )
    find_ups_product( swtrigger v1_00_00 )
    find_ups_product( ubraw v1_00_00 )
    find_ups_product( uboonedaq_datatypes v1_00_00 )
    find_ups_product( larana v1_00_00 )
    find_ups_product( larpandora v1_00_00 )
    find_ups_product( pandora v02_00_00 )
    find_ups_product( larpandoracontent v02_04_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/prof/QUAL/s68-c2/label1/swarm/label2/SLF6/build/libxml2/v2_9_5/Linux64bit+2.6-2.12-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT IFBEAM )
      cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUCONDB )
      cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT WDA )
      cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GSL )
      cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT UBDut )
      cet_find_library( UBDut NAMES ubdata_types PATHS /scratch/workspace/uboone-release-build2/BUILDTYPE/prof/QUAL/c2/label1/swarm/label2/SLF6/build/uboonedaq_datatypes/v6_20_02a/slf6.x86_64.c2.prof/lib )
    endif()
    if( NOT PANDORASDK )
      cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
    endif()
    if( NOT PANDORAMONITORING )
      cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
    endif()
      set( UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHBASE $ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthBase.so )
      set( UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHTESTANA_MODULE $ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthTestAna_module.so )
      set( UBANA_ANALYSISTREE_MCTRUTH_ASSOCIATIONSTRUTH_TOOL $ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_AssociationsTruth_tool.so )
      set( UBANA_ANALYSISTREE_MCTRUTH_BACKTRACKERTRUTH_TOOL $ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_BackTrackerTruth_tool.so )
      set( UBANA_ANALYSISTREE_ANALYSISTREE_MODULE $ENV{UBANA_LIB}/libubana_AnalysisTree_AnalysisTree_module.so )
      set( SPECALIBRATIONCODE $ENV{UBANA_LIB}/libSPEcalibrationCode.so )
      set( SPECALIBRATION_MODULE $ENV{UBANA_LIB}/libSPEcalibration_module.so )
      set( FEMEMULATOR_MODULE $ENV{UBANA_LIB}/libFEMemulator_module.so )
      set( SWTRIGGER_MODULE $ENV{UBANA_LIB}/libSWTrigger_module.so )
      set( UBANA_CALIBRATIONS $ENV{UBANA_LIB}/libubana_Calibrations.so )
      set( CALIBRATIONTPC_MODULE $ENV{UBANA_LIB}/libCalibrationTPC_module.so )
      set( CALIBRATIONDEDX_MODULE $ENV{UBANA_LIB}/libCalibrationdEdX_module.so )
      set( DIFFUSION_MODULE $ENV{UBANA_LIB}/libDiffusion_module.so )
      set( EXTRACTPEDESTALINFORMATION_MODULE $ENV{UBANA_LIB}/libExtractPedestalInformation_module.so )
      set( KPLANE2_MODULE $ENV{UBANA_LIB}/libKplane2_module.so )
      set( LIFETIMEQAQC_MODULE $ENV{UBANA_LIB}/libLifetimeQAQC_module.so )
      set( LIFETIME_MODULE $ENV{UBANA_LIB}/libLifetime_module.so )
      set( NOISEFILTER_MODULE $ENV{UBANA_LIB}/libNoiseFilter_module.so )
      set( VALIDATELIFETIME_MODULE $ENV{UBANA_LIB}/libValidateLifetime_module.so )
      set( XYZCORRECTION_MODULE $ENV{UBANA_LIB}/libXYZcorrection_module.so )
      set( XYZVALIDATIOIN_MODULE $ENV{UBANA_LIB}/libXYZvalidatioin_module.so )
      set( UBANA_CHARGEDTRACKMULTIPLICITY_MC_CTMMCANA_MODULE $ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_MC_CTMMCAna_module.so )
      set( UBANA_CHARGEDTRACKMULTIPLICITY_DATAON_CTMDATAONANA_MODULE $ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataON_CTMDataONAna_module.so )
      set( UBANA_CHARGEDTRACKMULTIPLICITY_DATAOFF_CTMDATAOFFANA_MODULE $ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataOFF_CTMDataOFFAna_module.so )
      set( COSMICFLASHTAGGERANA_MODULE $ENV{UBANA_LIB}/libCosmicFlashTaggerAna_module.so )
      set( COSMICFLASHTAGGER_MODULE $ENV{UBANA_LIB}/libCosmicFlashTagger_module.so )
      set( UBANA_COSMICTAGGING_COSMICTAGGINGALGORITHMS $ENV{UBANA_LIB}/libubana_CosmicTagging_CosmicTaggingAlgorithms.so )
      set( UBANA_LEEPHOTONANALYSIS $ENV{UBANA_LIB}/libubana_LEEPhotonAnalysis.so )
      set( GENIETEST_MODULE $ENV{UBANA_LIB}/libGENIETest_module.so )
      set( LEEPHOTONANALYSIS_MODULE $ENV{UBANA_LIB}/libLEEPhotonAnalysis_module.so )
      set( NCDELTARADIATIVE_MODULE $ENV{UBANA_LIB}/libNCDeltaRadiative_module.so )
      set( RECOTRUETEST_MODULE $ENV{UBANA_LIB}/libRecoTrueTest_module.so )
      set( SIGNALFILTER_MODULE $ENV{UBANA_LIB}/libSignalFilter_module.so )
      set( FLASH_MODULE $ENV{UBANA_LIB}/libflash_module.so )
      set( MUCSGAINANA_MODULE $ENV{UBANA_LIB}/libMuCSGainAna_module.so )
      set( MUCST0FINDER_MODULE $ENV{UBANA_LIB}/libMuCST0Finder_module.so )
      set( MUCSTRACKFINDER_MODULE $ENV{UBANA_LIB}/libMuCSTrackFinder_module.so )
      set( T0TRACKCALIB_MODULE $ENV{UBANA_LIB}/libT0TrackCalib_module.so )
      set( TPCOBJECTCREATOR_MODULE $ENV{UBANA_LIB}/libTPCObjectCreator_module.so )
      set( UBT0FINDER_MODULE $ENV{UBANA_LIB}/libUBT0Finder_module.so )
      set( UBANA_SELECTIONTOOL_OPT0FINDERBASE $ENV{UBANA_LIB}/libubana_SelectionTool_OpT0FinderBase.so )
      set( UBANA_SELECTIONTOOL_OPT0FINDERALGORITHMS $ENV{UBANA_LIB}/libubana_SelectionTool_OpT0FinderAlgorithms.so )
      set( CELLTREEUB_MODULE $ENV{UBANA_LIB}/libCellTreeUB_module.so )
      set( UBANA_OPTICALDETECTORANA $ENV{UBANA_LIB}/libubana_OpticalDetectorAna.so )
      set( FLASHTRIGGER_MODULE $ENV{UBANA_LIB}/libFlashTrigger_module.so )
      set( OPDIGITSATURATIONCORRECTION_MODULE $ENV{UBANA_LIB}/libOpDigitSaturationCorrection_module.so )
      set( SIMPLEFLASHFINDER_MODULE $ENV{UBANA_LIB}/libSimpleFlashFinder_module.so )
      set( UBBASICOPTICALANA_MODULE $ENV{UBANA_LIB}/libUBBasicOpticalAna_module.so )
      set( OPTICALSUBEVENTS $ENV{UBANA_LIB}/libOpticalSubEvents.so )
      set( SUBEVENTBUILDER_MODULE $ENV{UBANA_LIB}/libSubEventBuilder_module.so )
      set( UBOONE_LEEPRECUTALGO $ENV{UBANA_LIB}/libuboone_LEEPreCutAlgo.so )
      set( DLPMTPRECUTS_MODULE $ENV{UBANA_LIB}/libDLPMTPreCuts_module.so )
      set( UBANA_PATTERNFILTER_PMALGS $ENV{UBANA_LIB}/libubana_PatternFilter_PMAlgs.so )
      set( UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKANA_MODULE $ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackAna_module.so )
      set( UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKFILTER_MODULE $ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackFilter_module.so )
      set( LOWLEVELNUEFILTER_MODULE $ENV{UBANA_LIB}/libLowLevelNueFilter_module.so )
      set( OPFLASHFILTER_MODULE $ENV{UBANA_LIB}/libOpFlashFilter_module.so )
      set( TPCNEUTRINOIDANA_MODULE $ENV{UBANA_LIB}/libTPCNeutrinoIDAna_module.so )
      set( TPCNEUTRINOIDFILTER_MODULE $ENV{UBANA_LIB}/libTPCNeutrinoIDFilter_module.so )
      set( TPCNEUTRINOID_MODULE $ENV{UBANA_LIB}/libTPCNeutrinoID_module.so )
      set( TPCNEUTRINOIDALGS $ENV{UBANA_LIB}/libTPCNeutrinoIDAlgs.so )
      set( ACPTTAGGER_MODULE $ENV{UBANA_LIB}/libACPTTagger_module.so )
      set( CANDIDATECONSISTENCY_MODULE $ENV{UBANA_LIB}/libCandidateConsistency_module.so )
      set( COSMICFLASHMATCH_MODULE $ENV{UBANA_LIB}/libCosmicFlashMatch_module.so )
      set( COSMICTAGGERANA_MODULE $ENV{UBANA_LIB}/libCosmicTaggerAna_module.so )
      set( COSMICTRACKHITTAGGER_MODULE $ENV{UBANA_LIB}/libCosmicTrackHitTagger_module.so )
      set( DEDXANA_MODULE $ENV{UBANA_LIB}/libDeDxAna_module.so )
      set( FLASHMATCHCALIB_MODULE $ENV{UBANA_LIB}/libFlashMatchCalib_module.so )
      set( GEOCOSMICTAGGER_MODULE $ENV{UBANA_LIB}/libGeoCosmicTagger_module.so )
      set( INTIMESTUDY_MODULE $ENV{UBANA_LIB}/libInTimeStudy_module.so )
      set( NEUTRINOFLASHMATCH_MODULE $ENV{UBANA_LIB}/libNeutrinoFlashMatch_module.so )
      set( NEUTRINOMCFLASH_MODULE $ENV{UBANA_LIB}/libNeutrinoMCFlash_module.so )
      set( PHOTONACTIVITY_MODULE $ENV{UBANA_LIB}/libPhotonActivity_module.so )
      set( RECOTRUEMATCHER_MODULE $ENV{UBANA_LIB}/libRecoTrueMatcher_module.so )
      set( SIMPLEANA_MODULE $ENV{UBANA_LIB}/libSimpleAna_module.so )
      set( STOPPINGMUONTAGGER_MODULE $ENV{UBANA_LIB}/libStoppingMuonTagger_module.so )
      set( TPCOBJECTMAKER_MODULE $ENV{UBANA_LIB}/libTPCObjectMaker_module.so )
      set( UBXSEC_MODULE $ENV{UBANA_LIB}/libUBXSec_module.so )
      set( UBOONECODE_UBOONE_UBXSEC_ALGORITHMS $ENV{UBANA_LIB}/libuboonecode_uboone_UBXSec_Algorithms.so )
      set( HITCOSMICTAG_BASE $ENV{UBANA_LIB}/libHitCosmicTag_Base.so )
      set( HITCOSMICTAG_ALGORITHMS $ENV{UBANA_LIB}/libHitCosmicTag_Algorithms.so )
      include_directories ( $ENV{UBANA_INC} )

check_required_components(ubana)

